Subject: bug#25407: ls documentation should reflect file system atime setting

From: Eric Blake <[email-masked]>
Date: Tue, 10 Jan 2017 14:11:13 -0600

On 01/10/2017 01:11 PM, Bernhard Voelker wrote:
> On 01/10/2017 12:18 AM, Paul Eggert wrote:
>> Instead, I documented it in the coreutils manual (which is the primary
>> documentation for 'ls' anyway) by installing the attached. The first
>> patch is a minor cleanup, the second the real doc change.
> I like it, although I'd avoid to place such a general description (similar
> to the node "File permissions") in the middle of the utility chapters.
> The attached fixes this - okay to push?

Works for me.

> -Standard POSIX files have three timestamps: the access timestamp
> -(atime) of the last read, the modification timestamp (mtime) of the
> -last write, and the status change timestamp (ctime) of the last change
> -to the the file's meta-information.  Some file systems support a

> +@node File timestamps
> +@chapter File timestamps
> +
> +@cindex atime
> +@cindex birthtime
> +@cindex ctime
> +@cindex mtime
> +Standard POSIX files have three timestamps: the access timestamp
> +(atime) of the last read, the modification timestamp (mtime) of the
> +last write, and the status change timestamp (ctime) of the last change
> +to the the file's meta-information.  Some file systems support a

Please fix the double 'the the' while moving, if I don't beat you to it
on my end, since syntax-check also flags that.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org